PHP Manual
Prev |  | Next

# w32api_register_function

(4.2.0 - 4.2.3 only)

w32api_register_function -- Registers function function_name from library with PHP

## Description

bool w32api_register_function ( string library, string function_name, string return_type )

This function tries to find the `function_name` function in `libary`, and tries to import it into PHP.

## Parameters

`library`

  The library name, as a string.

`function_name`

  The function name, as a string.

`return_type`

  The function will be registered with the given `return_type`. This type can be a generic PHP type, or a type defined with w32api_deftype(). All type names are case sensitive. Built in type names should be provided in lowercase.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Notes

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Prev | Home | Next
w32api_invoke_function | Up | w32api_set_call_method